$(document).ready(function(){
    NineGameClient.setNavigationTitle("专题大全");
    var mainUlId="#albums_content",
        specDetailPath="specdetail.html",
        cutmDetailPath="cutmdetail.html",
        album_htmlUnit='<li>\
                            <a href="{0}" class="m_wrap arrow_cls">\
                            <span class="ico ico_bg">\
                                <img src="{1}" alt="" onload="javascript:this.style.display=\'block\';" style="display: none;"/>\
                            </span>\
                            <p class="content">\
                            <span class="title">{2}</span>\
                            <span class="date">{3}</span>\
                            <span class="essay">{4}</span>\
                        </p></a></li>';
    addActionStat("tab_9game",this.act1,"rmzt",this.act3);

    App.addModule('AlbumsList',App.Model.extend({
        key: "5010"                         //数据协议keycode
    }),
        App.View.extend({
            //容器标识
            vectId: mainUlId,
            //统计参数定义
            ptext: 'rmzt',
            //html渲染片段定义
            htmlFrag: album_htmlUnit,
            //视图渲染回调函数定义
            render:function(dlist,fromPage){
                var resstr="";
                for(var i=0;i<dlist.length;i++){
                    try{    //使用try防止单条信息出错导致一栏后续项无法渲染
                        var dobj=dlist[i],alink=(dobj.customPage?cutmDetailPath:specDetailPath)+"?colid="+dobj.id+"&spectitle="+encodeURIComponent(dobj.albumName)+"&act1="+this.ptext;
                        resstr += String.format(this.htmlFrag,
                            alink,
                            imgCacheGent(dobj.albumLogo),
                            dobj.albumName,
                            dobj.createTime.toString().substr(0,10),
                            dobj.albumDesp
                        );
                    }catch(e){
                        printError(this.vectId+"/special render/"+ e.toString());
                    }
                }
                $(this.vectId).append(resstr);
            }
        }));
    App.Requester.init({
        vectId: mainUlId,
        floadEnded: function(){
            $(".bLoad").hide();
        },
        ferrorDeal: printError
    });

    App.Requester.tigger();
});
