$(document).ready(function(){
    NineGameClient.setNavigationTitle("资讯详情");
    var gameId=this.queryMap["gid"] || 0,
        newsId=this.queryMap["nid"] || 0,
        initTitle="{0}--资讯详情";
    addActionStat("btn_news",this.act1,newsId,this.act3);
    App.Model.setBase({'commonParams': 'gid='+gameId+'&nid='+newsId,
        'getCacheMethod': NineGameClient.getSessionString});
    App.addModule('GameTopInfo',App.Model.extend({
        'key': "1",                            //数据协议keycode
        'private': 1,                         //是否走专属通道传递参数
        'cacheKey': "gid_"+gameId
    }),
        App.View.extend({
            //容器标识
            vectId: "#top_info",
            //用于判断头部信息是否已处理过了,防止二次调用
            notDone:true,
            //视图渲染回调函数定义
            render:topExtendRender
        }));
    App.addModule('NewsDetail',App.Model.extend({
        'key': "4",                            //数据协议keycode
        'private':1,
        'params':"hasextern=1"
    }),

        App.View.extend({
            //容器标识
            vectId: ".mArticle",
            //视图渲染回调函数定义
            render:function(dlist){
                var _identifier=this.vectId;
                for(var i=0;i<dlist.length;i++){
                    var dobj=dlist[i],dTitle=dobj.title;
                    $(_identifier+" .title:eq("+i+")").text(dTitle);
                    $(_identifier+" .date:eq("+i+")").text(dobj.modifyTime.toString());
                    $(_identifier+" article").html(htmlDecode(dobj.content));
                    document.title = dTitle;  //设置文档标题 为 文章标题
                }
            }
        }),true);
    App.addModule('NewsRelist',App.Model.extend({
        'key': "401",                            //数据协议keycode
        'private':1,
        'params':"fid=1&pcount=4"
    }),
        App.View.extend({
            //容器标识
            vectId: "#news_frame",
            ptext:"zxlb",
            linkFid:1,
            //视图渲染回调函数定义
            render:function(dlist){ //资讯信息的渲染
                var _identifier=this.vectId;
                for(var i=0;i<dlist.length;i++){
                    var dobj=dlist[i];
                    $(_identifier+" a:eq("+i+")").attr("href",String.format(newsDetailPath,gameId,dobj.id)+"&act1="+this.ptext).find(".title").html("【"+dobj.catename+"】"+dobj.title);
                }
                if(i != 0){    //没有数据渲染则不处多余项处理
                    //多余框架项处理（delete）
                    var moreNum= $(_identifier+" li").length-i;
                    for(var t=0;t < moreNum;t++)
                        $(_identifier+" li:eq("+i+")").remove();
                    if(moreNum > 0)
                        $(_identifier+" .big_mBtn").remove();
                    else
                        $(_identifier+" .big_mBtn a").attr("href",String.format(newsListPath,gameId,this.linkFid));
                    $(_identifier).show();
                }
            }
        }),true);
    App.Requester.init({
        oneTime:true,
        floadEnded: function(loadedNum){
            $(".bLoad").hide();
        },
        ferrorDeal: printError
    });
    App.Requester.tigger();
});
