$(document).ready(function(){
    var gameId=this.queryMap["gid"] || 0;
    addActionStat("btn_game",this.act1,gameId,this.act3);
    NineGameClient.setNavigationTitle("游戏详情");
    //App.Model可以定义一些公用参数 与 缓存接口
    App.Model.setBase({'commonParams': 'gid='+gameId+'&pcount=4',
        'getCacheMethod': NineGameClient.getSessionString});
    App.addModule('GameTopInfo',App.Model.extend({
        'key': "1",                            //数据协议keycode
        'private': 1,                         //是否走专属通道传递参数
        'cacheKey': "gid_"+gameId
    }),
        App.View.extend({
            //容器标识
            vectId: "#top_info",
            //用于判断头部信息是否已处理过了,防止二次调用
            notDone:true,
            //视图渲染回调函数定义
            render:topExtendRender
        }));
    App.addModule('GameImgShots',App.Model.extend({
        'key': "701",                            //数据协议keycode
        'private': 1,                         //是否走专属通道传递参数
        'params':"pcount=6"          //专属参数定义
    }),
        App.View.extend({
            //容器标识
            vectId: "#imageShotArea ul",
            gid:gameId,
            //视图渲染回调函数定义
            render:gameImgshotsRender
        }),true);
    App.addModule('GameScorePort',App.Model.extend({
        'key': "1101",                            //数据协议keycode
        'private': 1                         //是否走专属通道传递参数
    }),
        App.View.extend({
            //容器标识
            vectId: ".grade",
            //视图渲染回调函数定义
            render:function(dlist,_fromPage){
                bindCommit(gameScoreRender(this.vectId,dlist),gameId);
            }
        }),true);
    App.addModule('RecommendArea',App.Model.extend({
        'key': "101",                            //数据协议keycode
        'private': 1,                         //是否走专属通道传递参数
        'params': "colid=2000285"          //专属参数定义
    }),
        App.View.extend({
            //容器标识
            vectId: "#2000290",
            ptext:"xqy_xbtj",
            //视图渲染回调函数定义
            render:hscrollRender
        }),true);
    App.Requester.init({
        oneTime:true,
        floadEnded: function(){
            detailSpot();             //截图高度固定后将bLoad隐藏
        },
        ferrorDeal: printError
    });
    App.Requester.tigger();
});

