$(document).ready(function(){
    var mainUlId="#detail_content",
        specTitle=this.queryMap["spectitle"] || "专辑详情",
        columnId=this.queryMap["colid"] || 2000563;
    NineGameClient.setNavigationTitle(specTitle);
    addActionStat("btn_topic",this.act1,columnId,this.act3);

    var resstr="";
    var jary=[];
    App.addModule('SpecialColInfo',App.Model.extend({
        'key': "5",                            //数据协议keycode
        'private': 1,                         //是否走专属通道传递参数
        'params': "colid="+columnId          //专属参数定义
    }),
        App.View.extend({
            //容器标识
            vectId: "#albums_content",
            //视图渲染回调函数定义
            render:function(dlist,_fromPage){
                var _identifier = this.vectId;
                for(var i=0;i<dlist.length;i++){
                    try{
                        var dobj=dlist[i];
                        $(_identifier+" img:eq("+i+")").attr("src",imgCacheGent(dobj.albumLogo));
                        $(_identifier+" .title:eq("+i+")").text(dobj.albumName);
                        $(_identifier+" .date:eq("+i+")").text(dobj.createTime.toString().substr(0,10));
                        $(_identifier+" .essay:eq("+i+")").text(dobj.albumDesp);     //描述
                    }catch(e){
                        printError(_identifier+"/ render["+i+"]/"+ e.toString());
                    }
                    var single=$(resstr);
                    jary.push(single.get(0)); //同级对象的合并
                    $(this.vectId).append($(jary));
                }
            }
        }),true);


    App.addModule('SpecialGameList',App.Model.extend({
        'key': "1010",                         //数据协议keycode
        'private': 1,                          //是否走专属通道传递参数
        'params': "colid="+columnId+"&hasextern=1"           //专属参数定义
    }),
        App.View.extend({
            //容器标识
            vectId:"#detail_content",
            //统计参数定义
            ptext: 'zt',
            htmlFrag:'<li class="ms-pr">\
                        <a href="javascript:void(0);"  class="m_wrap ms-cf">\
                        <div class="pic_gc ms-fl">\
                           <span class="ico ico_sm">\
                                <img src="{0}" alt="" onload="javascript:this.style.display=\'block\';" style="display: none;"/>\
                            </span>\
                        <b>{1}</b>\
                        </div>{2}\
                        <div class="detail ms-fl" style="width:65%;">\
                        <h4 class="title">{3}<em></em></h4>\
                        <div class="ms-cf mb3" role="infobar">\
                        <span class="s_js">{4}</span>\
                        <p class="rank ms-tc ms-fl">\
                        {5}\
                        </p>\
                        </div>\
                        <div role="prosbar" class="ms-none">\
                           <p class="proWrap"><span class="value" role="movebar"></span></p>\
                          <p class=""><span role="downlen">0.0B</span>&nbsp;<span>{6}</span></p> \
                        </div>\
                        <div class="box01_pl" style="width: 105%;">\
                            <div class="ui-arrow-white"><p class="ui-arrow-cont"></p></div>\
                                <div class="drop_down">\
                                    <div class="essay"><span>短评：</span>{7}</div>\
                                </div>\
                            </div>\
                        </div>\
                    </a>\
                    <a href="{8}" class="{9}" role="rbtn" style="top:30px;">{10}</a>\
                    </li>',

            //视图渲染回调函数定义
            render:commonNewGlistRender
        }));

    App.Requester.init({
        vectId: mainUlId,
        floadEnded: function(){
            $(".bLoad").hide();
        },
        ferrorDeal: printError
    });
    App.Requester.tigger();
});


