$(document).ready(function(){
    var gameId=this.queryMap["gid"] || 0;
    addActionStat("btn_game",this.act1,gameId,this.act3);
    NineGameClient.setNavigationTitle("游戏详情");
    //资讯类信息渲染
    var commonNewsRender=function(dlist){ //资讯信息的渲染
        var _identifier=this.vectId;
        for(var i=0;i<dlist.length;i++){
            var dobj=dlist[i];
            $(_identifier+" a:eq("+i+")").attr("href",String.format(newsDetailPath,gameId,dobj.id)+"&act1=xqy").find(".title").html("【"+dobj.catename+"】"+dobj.title);
        }
        if(i != 0){    //没有数据渲染则不处多余项处理
            //多余框架项处理（delete）
            var moreNum= $(_identifier+" li").length-i;
            for(var t=0;t < moreNum;t++)
                $(_identifier+" li:eq("+i+")").remove();
            if(moreNum > 0)
                $(_identifier+" .big_mBtn").remove();
            else
                $(_identifier+" .big_mBtn a").attr("href",String.format(newsListPath,gameId,this.linkFid));
            $(_identifier).show();
        }
    };
    //App.Model可以定义一些公用参数 与 缓存接口
    App.Model.setBase({'commonParams': 'gid='+gameId+'&pcount=4',
        'getCacheMethod': NineGameClient.getSessionString});
    App.addModule('GameTopInfo',App.Model.extend({
        'key': "1",                            //数据协议keycode
        'private': 1,                         //是否走专属通道传递参数
        'cacheKey': "gid_"+gameId
    }),
        App.View.extend({
            //容器标识
            vectId: "#top_info",
            //用于判断头部信息是否已处理过了,防止二次调用
            notDone:true,
            //视图渲染回调函数定义
            render:topExtendRender
        }));

    App.addModule('GameAnnocList',App.Model.extend({
        'key': "901",                            //数据协议keycode
        'private': 1                         //是否走专属通道传递参数
    }),
        App.View.extend({
            //容器标识
            vectId: "#announce_frame",
            //视图渲染回调函数定义
            render:function(dlist){
                var resstr="";
                for(var i=0;i<dlist.length;i++){
                    var dobj=dlist[i];
                    if(dobj.newsId>0)
                        dobj.url=String.format(newsDetailPath,gameId,dobj.newsId);
                    resstr += String.format('<p><a href="{0}" class="red"><span class="label">{1}</span></a></p>',
                        dobj.url,
                        dobj.title
                    );
                }
                if(i != 0){    //没有数据渲染则不处多余项处理
                    $(this.vectId+" .nPlroc").append(resstr);
                    $(this.vectId).show();
                }
            }
        }),true);
    App.addModule('GameImgShots',App.Model.extend({
        'key': "701",                            //数据协议keycode
        'private': 1,                         //是否走专属通道传递参数
        'params': "pcount=6"          //专属参数定义
    }),
        App.View.extend({
            //容器标识
            vectId: "#imageShotArea ul",
            gid:gameId,
            //视图渲染回调函数定义
            render:gameImgshotsRender
        }),true);

    App.addModule('GameRaiderList',App.Model.extend({
        'key': "401",                            //数据协议keycode
        'private': 1,                         //是否走专属通道传递参数
        'params': "fid=1"          //专属参数定义
    }),
        App.View.extend({
            //容器标识
            vectId: "#raider_frame",
            linkFid: 1,
            //视图渲染回调函数定义
            render:commonNewsRender
        }),true);
    App.addModule('GameNewsList',App.Model.extend({
        'key': "401",                            //数据协议keycode
        'private': 1,                         //是否走专属通道传递参数
        'params': "fid=2"          //专属参数定义
    }),
        App.View.extend({
            //容器标识
            vectId: "#news_frame",
            linkFid: 2,
            //视图渲染回调函数定义
            render:commonNewsRender
        }),true);
    App.addModule('GameActyList',App.Model.extend({
        'key': "401",                            //数据协议keycode
        'private': 1,                         //是否走专属通道传递参数
        'params': "fid=3"          //专属参数定义
    }),
        App.View.extend({
            //容器标识
            vectId: "#activity_frame",
            linkFid: 3,
            //视图渲染回调函数定义
            render:commonNewsRender
        }),true);

    App.addModule('GameTopicList',App.Model.extend({
        'key': "801",                            //数据协议keycode
        'private': 1                         //是否走专属通道传递参数
    }),
        App.View.extend({
            //容器标识
            vectId: "#topic_frame",
            ptext: "statmark=none",
            //视图渲染回调函数定义
            render:function(dlist){ //论坛帖子信息的渲染
                var _identifier=this.vectId;
                for(var i=0;i<dlist.length;i++){
                    var dobj=dlist[i];
                    $(_identifier+" a:eq("+i+")").attr("href",dobj.bbsDomain+dobj.alink+(dobj.alink.indexOf("?")<0?"?":"&")+this.ptext).find(".title").html(dobj.title);
                }
                if(i != 0){    //没有数据渲染则不处多余项处理
                    //多余框架项处理（delete）
                    var moreNum= $(_identifier+" li").length-i;
                    for(var t=0;t < moreNum;t++)
                        $(_identifier+" li:eq("+i+")").remove();
                    if(moreNum > 0)
                        $(_identifier+" .big_mBtn").remove();
                    else
                        $(_identifier+" .big_mBtn a").attr("href",dlist[0].bbsDomain+"/Board.Htm?Id="+dlist[0].boardId+"&forceModelType=touch&text=andnetgame_ltgd_"+gameId);
                    $(_identifier).show();
                }
            }
        }),true);
    App.addModule('GameGuideList',App.Model.extend({
        'key': "401",                            //数据协议keycode
        'private': 1,                         //是否走专属通道传递参数
        'params': "fid=5"          //专属参数定义
    }),
        App.View.extend({
            //容器标识
            vectId: "#guide_frame",
            htmlFrag:'<a href="{0}"><span><em>{1}</em></span></a>',
            ptext: "act1=detail",
            //视图渲染回调函数定义
            render:function(dlist){ //游戏指引信息的渲染
                var _identifier=this.vectId,
                    resAry=[],
                    sigRowAeg='<nav class="ui-flex-nav nStu"><p class="m_title" style="font-size: 15px;">',
                    sigRowBeg='<nav class="ui-flex-nav nStu"><p class="nav_p">',
                    sigRowEnd='</p></nav>';
                for(var i=0;i<dlist.length;i++){
                    var dobj=dlist[i];
                    resAry[resAry.length]=String.format(this.htmlFrag,
                        String.format(newsDetailPath+"&"+this.ptext,gameId,dobj.id),
                        dobj.title
                    );
                    if(resAry.length%4 == 0){
                        $(_identifier).append(sigRowAeg+resAry.join("")+sigRowEnd);
                        resAry=[];
                        sigRowAeg=sigRowBeg;
                    }
                }
                if(resAry.length != 0)
                    $(_identifier).append(sigRowAeg+resAry.join("")+sigRowEnd);
                if(i != 0){    //数据不为空
                    $(_identifier).show();
                }
            }
        }),true);

    App.addModule('GameScorePort',App.Model.extend({
        'key': "1101",                            //数据协议keycode
        'private': 1                         //是否走专属通道传递参数
    }),
        App.View.extend({
            //容器标识
            vectId: ".grade",
            //视图渲染回调函数定义
            render:function(dlist,_fromPage){
                bindCommit(gameScoreRender(this.vectId,dlist),gameId);
            }
        }),true);
    App.addModule('RecommendArea',App.Model.extend({
        'key': "101",                            //数据协议keycode
        'private': 1,                         //是否走专属通道传递参数
        'params': "colid=2000295"          //专属参数定义
    }),
        App.View.extend({
            //容器标识
            vectId: "#recommendArea",
            ptext:"xqy_xbtj",
            //视图渲染回调函数定义
            render:hscrollRender
        }),true);
    App.Requester.init({
        oneTime:true,
        floadEnded: function(){
            detailSpot();             //截图高度固定后将bLoad隐藏
        },
        ferrorDeal: printError
    });
    App.Requester.tigger();
});
