$(document).ready(function(){
    var mainUlId="#news_content",
        gameId=this.queryMap["gid"] || 0,
        cateId=this.queryMap["fid"] || 0;
    var cateNameAry=["资讯","攻略","新闻","活动","评测"];
    if(cateId > 0 && cateId < cateNameAry.length)
        $("#ntitle").html(cateNameAry[cateId]);
    else       //防止安全问题
        cateId=0;
    NineGameClient.setNavigationTitle(cateNameAry[cateId]+"大全");
    var docTitle="{0}--九游"+cateNameAry[cateId];
    App.Model.setBase({'commonParams': 'gid='+gameId+'&pcount=10',
        'getCacheMethod': NineGameClient.getSessionString});
    App.addModule('GameTopInfo',App.Model.extend({
        'key': "1",                            //数据协议keycode
        'private': 1,                         //是否走专属通道传递参数
        'cacheKey': "gid_"+gameId
    }),
        App.View.extend({
            //容器标识
            vectId: "#top_info",
            //用于判断头部信息是否已处理过了,防止二次调用
            notDone:true,
            //视图渲染回调函数定义
            render:topExtendRender
        }));
    App.addModule('NewsList',App.Model.extend({
        'key': "4010",                            //数据协议keycode
        'private': 1,                         //是否走专属通道传递参数
        'params': "fid="+cateId+"&pcount=10"          //专属参数定义
    }),
        App.View.extend({
            //容器标识
            vectId: mainUlId,
            ptext:"zxlb",
            htmlFrag:'<li class="">\
                        <a href="{0}" class="m_wrap">\
                        <p class="content pl10">\
                            <span class="title">{1}</span>\
                            <span class="date">{2}</span>\
                            <span class="essay">{3}</span>\
                        </p>\
                        </a>\
                    </li>',
            //视图渲染回调函数定义
            render:function(dlist){ //资讯列表信息的渲染
                var resstr="";
                for(var i=0;i<dlist.length;i++){
                    try{    //使用try防止单条信息出错导致一栏后续项无法渲染
                        var dobj=dlist[i];
                        resstr += String.format(this.htmlFrag,String.format(newsDetailPath,gameId,dobj.id)+"&act1="+this.ptext,dobj.title,dobj.modifyTime.toString().substr(0,10),dobj.summary);
                    }catch(e){
                        printError(this.vectId+"/news scroll list render/"+ e.toString());
                    }
                }
                $(this.vectId).append(resstr);
            }
        }));
    App.Requester.init({
        vectId: mainUlId,
        floadEnded: function(loadedNum){
            if(loadedNum>0)
                $(".bLoad").hide();
            else{
                $(".bLoad").html('<div class="bLoad_i" style="background:none;">抱歉，此游戏没有资讯内容</div>');
            }
        },
        ferrorDeal: printError
    });
    App.Requester.tigger();

});
