$(document).ready(function(){
    var mainUlId="#quality_content",
        qualDetailPath="qualdetail.html";
    App.addModule('AlbumsList',App.Model.extend({
        'key': "6010",                         //数据协议keycode
        'private': 1,
        'params':"freeid=2&pcount=20"
    }),
        App.View.extend({
            //容器标识
            vectId: mainUlId,
            //统计参数定义
            ptext: 'rmzt_hj',
            //html渲染片段定义
            htmlFrag: '<li>\
                            <div class="m_wrap">\
                            <a href="{0}">\
                                <span class="ico ico_nr">\
                                    <img src="{1}" alt="" onload="javascript:this.style.display=\'block\';" style="display: none;"/>\
                                </span>\
                            </a>\
                            <div class="detail">\
                                <a href="{2}" class="title">{3}</a>\
                            </div>\
                            </div>\
                        </li>',
            //视图渲染回调函数定义
            render:function(dlist,fromPage){
                var resstr="";
                for(var i=0;i<dlist.length;i++){
                    try{    //使用try防止单条信息出错导致一栏后续项无法渲染
                        var dobj=dlist[i],alink=qualDetailPath+"?colid="+dobj.id+"&act1="+this.ptext;
                        resstr += String.format(this.htmlFrag,
                            alink+"&spectitle="+encodeURIComponent(dobj.qualityName),
                            imgCacheGent(dobj.qualityLogo),
                            alink,
                            dobj.qualityName
                        );
                    }catch(e){
                        printError(this.vectId+"/scroll render/"+ e.toString());
                    }
                }
                $(this.vectId).append(resstr);
            }
        }));
    App.Requester.init({
        vectId: mainUlId,
        floadEnded: function(){
            $(".bLoad").hide();
        },
        ferrorDeal: printError
    });

    App.Requester.tigger();
});

