/**
 * Created with IntelliJ IDEA.
 * User: YanYueTian
 * Date: 12-11-30
 * Time: 下午6:38
 * To change this template use File | Settings | File Templates.
 */
function letterWidth(str){
    if(!str)
        return 0;
    var resLen= 0,charCode=0;
    for(var idx=0; idx < str.length;idx++){
        resLen++;
        charCode=str[idx].charCodeAt(0);
        if( charCode>= 19968 && charCode <= 171941) //汉字范围 \u4e00-\u9fa5 (中文)
            resLen++;
    }
    return  resLen;
}
function mPoint(_content,_fontSize,_fontWeight){
    this.fontSize=_fontSize;
    this.width = Math.floor(_fontSize*letterWidth(_content)*0.636+_fontWeight/140);
    this.height = Math.floor(_fontSize*2.4);
}
mPoint.prototype={ //碰撞检测原型对象
    getWidth:function(){return this.width;},
    getHeight:function(){return this.height;},
    setXY:function(_x,_y){this.x = _x;this.y=_y;},
    getX:function(){return this.x;},
    getY:function(){return this.y;},
    hasCrossArea:function(x2,y2,w2,h2){
        return  this.x+this.width>x2 && x2+w2>this.x && this.y+this.height>y2 && y2+h2>this.y;
    }
};
function RndPosMaker(divH,divW,mPointAry){
    var startX = 5,
        endX = divW-150,
        startY = 1,
        endY = divH-50;
    for(var i=0;i < mPointAry.length;i++){
        var mP = mPointAry[i],
            mWidth = mP.getWidth(),
            mHeight = mP.getHeight(),
            rndX = startX+Math.floor(Math.random()*endX),
            rndY = startY+Math.floor(Math.random()*endY);
        //printError(rndX+"|"+rndY+"|"+mWidth+"|"+mHeight);
        if(!i)
            mP.setXY(rndX,rndY);
        else{
            var t=0;
            while(t++<41){  //防止死循环，做最大循环数限制
                var j=0;
                for(;j<i;j++){
                    if(mPointAry[j].hasCrossArea(rndX,rndY,mWidth,mHeight)){
                        //printError(mPointAry[j].content+"|"+mP.content);
                        break;
                    }
                }

                if(j == i){
                    mP.setXY(rndX,rndY);
                    break;
                }
                else{
                    rndX = startX+Math.floor(Math.random()*endX);
                    rndY = startY+Math.floor(Math.random()*endY);
                }
            }
            //printError(mP.content+"|"+t);
        }
    }
}
function prefixStyle (style) {
    if ( vendor === '' ) return style;

    style = style.charAt(0).toUpperCase() + style.substr(1);
    return vendor + style;
}
var dummyStyle = document.createElement('div').style,
    vendor = (function () {
        var vendors = 't,webkitT,MozT,msT,OT'.split(','),
            t,
            i = 0,
            l = vendors.length;

        for ( ; i < l; i++ ) {
            t = vendors[i] + 'ransform';
            if ( t in dummyStyle ) {
                return vendors[i].substr(0, vendors[i].length - 1);
            }
        }

        return false;
    })(),
   transform = prefixStyle('transform');

