//详情页图片按钮适应脚本类
var haveDealImgShot=false;
function imgShotAdapter(that){
    if(haveDealImgShot)
        return;
    //自动判定图片宽高
    //alert("W"+that.width+"|H"+that.height);
    var isHor=that.width>that.height,vect=$("#imageShotArea"),liWidth=160,defaultCss="ui-page-slideWrap_ver";
    if(isHor){     //如果是横屏图
        defaultCss="ui-page-slideWrap_hor";
        liWidth=235;
    }
    vect.addClass(defaultCss);
    vect.find("ul").each(function(){
        var spLen = $(this).find("li").length;
        var spWit = spLen*liWidth;
        $(this).width(spWit);
    });
    //游戏截图的横向滚动
    new iScroll('imageShotArea', {
        snap: false,
        smooth:true,
        momentum: false,
        hScrollbar: true,
        vScrollbar: false
    });
    haveDealImgShot=true;
    $(".bLoad").hide();
}

function detailSpot(){
    //评分星星的颜色改变
    $(".starArea li").mouseover(function(){
        var index=$(".starArea li").index(this)+1;
        $("#noteSrc").width(index*40);
    });
    //精简
    $(".js_unfold").each(function(){
        $(this).click(function(){
            var textArea=$(this).prevAll(".js_ufWrap");
            if(textArea.css("max-height")=="none"){
                textArea.css("max-height","96px");
                $(this).html("更多<span class='dis-more-down'></span>");
            }else{
                textArea.css("max-height","none");
                $(this).html("收起<span class='dis-more-up'></span>");
            }
        });
    });
    $(".js_ufWrap").each(function(){
        var ufLen = $(this).text().length;
        if (ufLen > 90 ){
            $(this).next(".js_unfold").show();
            $(this).click(function(){
                if($(this).css("max-height") == "none"){
                    $(this).css("max-height","96px");
                    $(".js_unfold").html("更多<span class='dis-more-down'></span>");
                }else{
                    $(this).css("max-height","none");
                    $(".js_unfold").html("收起<span class='dis-more-up'></span>");
                }
            });
        };
    });
}
//以下的内页中公用的渲染函数体
function getInfoFromSession(gid){
    if(typeof ucb !="undefined"){
        return ucb.Cache.get(gid,true);
    }
    return null;
}
//内页中，公用游戏头部信息的渲染
function gameTopRender(dobj){
    //alert(JSON.stringify(dobj));
    if(!dobj) return false;
        try{
            var tname=dobj.game.name,
                versionStr = dobj.game.version,
                gpkg=dobj.gpkg,
                resSize=gpkg?gpkg.fileSize:"";
               // resSize=gpkg?gpkg.fileSize:dobj.game.platSize;

            if(dobj.game.nameLen > 26){
                tname = tname.substrByWidth(24)+"...";
            }

            if(versionStr && versionStr.trim()){
                versionStr = versionStr.toUpperCase().trim();
                versionStr = (versionStr.indexOf("V")<0?"V":"")+versionStr;
            }
            var sg="#top_info"
            $(sg+" img").attr("src",imgCacheGent(dobj.game.logourl)).attr("alt",tname);
            $(sg+" .title").text(tname);
            $(sg+" .rank").html(getScoreView(dobj.game.avrgScore));
            $(sg+" .nScore").text(dobj.game.scoreTotal+"人已评分");
            $(sg+" .nType").text(dobj.game.issimple?dobj.game.category:dobj.game.operationStatus);
            $(sg+" .nVersion").text(versionStr);
            $(sg+" .nSize").text(sizeFormat(resSize)); //游戏大小
            if(dobj.game.hasSvr && !gpkg)
                $(sg+" .btn_n_blue").attr("href","http://a.9game.cn/serverlist.html?gameid="+dobj.game.id+"&text=andclient_gamedetail").show();
            return setBotmInfo(dobj,"{0}");
        }catch(e){
            printError(this.vectId+"/game top render/"+ e.toString());
            return false;
        }

    //}
    return true;
}
function setBotmInfo(dobj,docTitle){
    if(!dobj)
        return false;
    var tname = dobj.game.name,gid = dobj.game.id;
    //NineGameClient.setNavigationTitle(tname);
    if(docTitle)
        document.title = String.format(docTitle,tname);   //收藏标签的提示
    if(!dobj.gpkg){
        dobj.gpkg=new Object();
        dobj.gpkg["versionName"]=dobj.game.version;
        dobj.gpkg["fileSize"]=dobj.game.platSize;
    }
    if(!dobj.gpkg.category){
        dobj.gpkg["gameId"]=gid;
        dobj.gpkg["gameName"]=tname;
        dobj.gpkg["logoImagePath"]=dobj.game.logourl.replace("_","");
        dobj.gpkg["gameType"]=dobj.game.issimple? 0:1;
        dobj.gpkg["categoryId"]=dobj.game.categoryId;
        dobj.gpkg["category"]=dobj.game.category;
        if(dobj.gpkg.id)        //游戏包下载地址
            dobj.gpkg["downUrl"]="http://a.9game.cn/down/"+dobj.gpkg.id+".html";
        else if(dobj.game.publishAddress){   //官方下载地址
            dobj.gpkg["publishUrl"]=dobj.game.publishAddress;
            $("#priceTip").show();
        }else if(dobj.game.hasSvr)   //进入游戏地址
            dobj.gpkg["webgameUrl"]="http://a.9game.cn/serverlist.html?gameid="+gid+"&text=andclient_gamedetail";
    }
    NineGameClient.setCurrentDownloadInfo(JSON.stringify(dobj.gpkg));
    return true;
}
function topExtendRender(dlist){
    if(!dlist || dlist.length<=0)
        return;
    var dobj=dlist[0];
    $(".nSummay").append(htmlDecode(dobj.game.description));
    if(dobj.game.customerInfo.trim()!=""){
        $("#customerHeader").show();
        $("#customerInfo").html(dobj.game.customerInfo);
    }
    if(dobj.game.id)   //如果返回了整个对象则需渲染头部
        gameTopRender(dobj);
}
//内页中，截图的公用渲染函数体
var loadUnit_ImgShots='<li><div class="mWrap"><img src="{0}" alt="游戏截图" class="img" onload="imgShotAdapter(this)"/></div></li>';
function gameImgshotsRender(dlist){
    var resstr="";
    for(var i=0;i<dlist.length;i++)     {
        if(reff=="on"){
            resstr +=  String.format(loadUnit_ImgShots,"../ni_images/defaultshot.png");
        }else{
            resstr +=  String.format(loadUnit_ImgShots,imgCacheGent(dlist[i].imgUrl,1));
        }
    }

    $(this.vectId).html(resstr);
    $(".bLoad").hide();
    if(!i)       //一张截图都没有的情况下，直接显示
        $(".bLoad").hide();
}
//内页中，评分模块的公用渲染函数体
function gameScoreRender(_identifier,dlist){
    var group_ary=[];
    for(var i=0;i<dlist.length;i++){
        var dobj=dlist[i];
        $(_identifier+" .rankMark:eq("+i+")").text(dobj.avrgScore);
        $(_identifier+" .rank").html(getScoreView(dobj.avrgScore));
        $(_identifier+" .key:eq("+i+")").text(dobj.ptotal+"人评分");
        tmp_idx=0;
        $(_identifier+" table .key").each(function(){
            $(this).text(dobj.scoreAry[tmp_idx++]);
        });
        var sary=[5,4,3,2,1],allScore=dobj.avrgScore*dobj.ptotal;
        tmp_idx=0;
        $(_identifier+" .markValue").each(function(){
            $(this).width(((sary[tmp_idx]*dobj.scoreAry[tmp_idx++]/allScore)*100).toFixed(1)+'%');
        });
        group_ary=dobj.scoreAry;
    }
    return group_ary;
}
function drawPicDiv(groupAry,m){
    var allNum= 0,allSe= 0,avrgSe=0;
    if(groupAry.length == 0)
        groupAry=[0,0,0,0,0];
    for(var i=0;i < 5;i++){
        if((5-i)==m){
            groupAry[i]+=1;
            $(".grade table .key:eq("+i+")").text(groupAry[i]); //柱状图单项分处理
        }
        allNum+=groupAry[i];
        allSe+=(5-i)*groupAry[i];
    }
    avrgSe=(allSe/allNum).toFixed(1);
    //柱状图单项分处理
    var tmp_idx=0;
    $(".grade .markValue").each(function(){
        $(this).width((((5-tmp_idx)*groupAry[tmp_idx++]/allSe)*100).toFixed(1)+'%');
    });
    $(".grade .rankMark").text(avrgSe);
    $(".grade .rank").html("").append(getScoreView(avrgSe));
    $(".grade .gradeArea .key").text(allNum);
}
function bindCommit(groupAry,gid){
    function noteWrite(){
        var note=$("#noteSrc").width()/40;
        addActionStat("btn_score",note,gid);
        if(note<=0)
            return false;
        $('#scoreMit').html("提交中...");
        $('#scoreMit').unbind("click");
        $.ajax({
            method: "post",
            url: "http://a.9game.cn/score.html?text=and_client_star_section",
            data: {'game_id':gid,'score':note,'platform_id':2},
            success: function(data){
                if(data>0){
                    drawPicDiv(groupAry,note);
                    $('#scoreMit').html("已提交");

                }
                else{
                    $('#scoreMit').bind('click',noteWrite);
                    $('#scoreMit').html("提交评分");
                    $('#scoreMit').attr("disabled",false);
                }
            },
            error:function(){
                $('#scoreMit').bind('click',noteWrite);
                $('#scoreMit').html("提交评分");
                $('#scoreMit').attr("disabled",false);
            }
        });
        return false;
    }
    $('#scoreMit').bind('click',noteWrite);
}
//内页中，小编推荐公用渲染函数体
var loadUnit_Hscroll='<li class="">\
                        <a href="javascript:void(0);">\
                            <span class="ico ico_sm">\
                                <img src="{2}" onload="javascript:this.style.display=\'block\';" style="display: none;"/>\
                            </span>\
                        </a>\
                        <p class="rank ms-tc">{3}\
                        </p>\
                            <p><a href="javascript:void(0);" class="title">{4}</a></p>\
                        </li>';
function hscrollRender(dlist){
    var jary=[];
    for(var i=0;i<dlist.length;i++){
        try{    //使用try防止单条信息出错导致一栏后续项无法渲染
            var dobj=dlist[i],
                gid=dobj.game.id,
            //小编推荐已在详情页中，需在链接前加上目录以保证壳的window.open绝对地址正确
                detailPage=String.format((dobj.game.issimple?simpleDetailPath:netDetailPath)+"&act1="+this.ptext,gid);
            var sigstr= String.format(loadUnit_Hscroll,
                detailPage,
                gid,
                imgCacheGent(dobj.game.logourl),
                getScoreView(dobj.game.avrgScore),
                dobj.game.name
            );
            var single=$(sigstr);
            jary.push(single.get(0)); //同级对象的合并
            glistEntry[gid]=dobj;  //放入全局MAP对象
            tapUrl(single.find(">a"),gid,detailPage);
        }catch(e){
            printError(_identifier+"/detail hscroll render/"+ e.toString());
        }
    }
    $("#recommendArea").append($(jary));
}