/**
 * Created with IntelliJ IDEA.
 * User: YanYueTian
 * Date: 12-11-26
 * Time: 下午2:06
 * To change this template use File | Settings | File Templates.
 */
(function(tag){
    if(tag=="undefined") return;
    var ButtonUI=function(_glist){
        this.glist=_glist;
        this.init();
    }
    ButtonUI.prototype={
        timeline:{},
        delay:2000,
        pkeyMap:{},
        txtList: ["下载","打开","升级","暂停","继续","安装","安装","安装中","升级中","卸载中","已安装"],
        clsList: ["btn","btn btn_n_org","btn","btn_enable","btn","btn btn_n_org","btn btn_n_org","btn_disable","btn_disable","btn_disable","btn_disable"],
        openApp:function(gid){     //打开接口
            addActionStat("btn_open",this.glist[gid].doms.ptext,gid,3);     //传入操作名、act1、游戏ID，平台ID
            NineGameClient.startupNativeApp(this.glist[gid].gpkg.packageName);
        },
        stopTask:function(gid){    //暂停接口
            var that=this,dobj=that.glist[gid],pkginfo=dobj.gpkg;
            addActionStat("btn_pause",dobj.doms.ptext,gid,3);     //传入操作名、act1、游戏ID，平台ID
            that.changeFace(gid,4);
            that.delTimeLine(dobj.pkey);
            NineGameClient.stopDownloadTask(pkginfo.packageName,pkginfo.versionName);
        },
        resumeTask:function(gid){  //恢复调用接口
            var that=this,dobj=that.glist[gid],pkginfo=dobj.gpkg;
            addActionStat("btn_continue",dobj.doms.ptext,gid,3);     //传入操作名、act1、游戏ID，平台ID
            NineGameClient.resumeDownloadTask(pkginfo.packageName,pkginfo.versionName,
                function(){
                    that.changeFace(gid,3);
                    that.addTimeLine(gid);            //加入时间队列，如果此前队列为空则启动定时器
                });
        },
        downFunc:function(gid){
            var that=this;
            addActionStat("btn_down",that.glist[gid].doms.ptext,gid,3);     //传入操作名、act1、游戏ID，平台ID
            //NineGameClient.addStat(that.glist[gid].doms.ptext);
            NineGameClient.downloadApp2(that.glist[gid].gpkg,
                function(){
                    that.changeFace(gid,3);     // 改变按钮样式为“暂停”
                    that.addTimeLine(gid);
                });
            //NineGameClient.showMessage("开始下载 "+gid);
            //that.changeFace(gid,3);     // 改变按钮样式为“暂停”
            //that.addTimeLine(gid);
        },
        upgrade:function(gid){                                                          //安装操作
            var that=this;
            addActionStat("btn_upgrade",that.glist[gid].doms.ptext,gid,3);     //传入操作名、act1、游戏ID，平台ID
            NineGameClient.downloadApp2(that.glist[gid].gpkg,
                function(){
                    that.changeFace(gid,3);     // 改变按钮样式为“暂停”
                    that.addTimeLine(gid);
                });
        },
        installPkg:function(gid){  //安装包提示界面
            addActionStat("btn_install",this.glist[gid].doms.ptext,gid,3);     //传入操作名、act1、游戏ID，平台ID
            var pkginfo=this.glist[gid].gpkg;
            NineGameClient.installApp(pkginfo.packageName,pkginfo.versionName);
        },
        sizeFormat:function(len){
            if(len<1024)
                return len.toFixed(1)+"B";
            else if(len<1048576)
                return (len/1024).toFixed(1)+"KB";
            else
                return (len/1048576).toFixed(1)+"MB";
        },
        run:function(arg){
            var b = (arg==1),that=b?this:arg;
            if(!that.timer){
                that.timer=setInterval(that.run,that.delay,that);
            }else if(b)
                return;
            //NineGameClient.showMessage("timeline run : "+that.childnum());
            //每间隔一段时间异步得到当前下载信息，得到吩咐下载应用的进度
            NineGameClient.getCurDownloadingTasksAsync(function(json){
                if(json){
                    for(var key in that.timeline ){
                        if(json[key] && {} !=  json[key] && 0 != json[key].fileLength)   //文件正在下载中，实时更新进度显示
                            that.addProsBar(that.timeline[key],json[key].progress,json[key].fileLength);
                    }
                }
                if(!that.haschild())
                    that.clear();
            });

        },
        haschild:function(){
            for(var t in this.timeline)
                return true;
            return false;
        },
        childnum:function(){
            var re=0;
            for(var t in this.timeline)
                re++;
            return re;
        },
        clear:function(){
            if(this.timer){
                clearInterval(this.timer);
                this.timer=undefined;
            }
        },
        addTimeLine:function(gid){   //将下载任务加入定时器
            var mkey=this.glist[gid].pkey;
            if(!this.timeline[mkey])
                this.timeline[mkey]=gid;
            this.run(1);
        },
        delTimeLine:function(mkey){
            if(this.timeline[mkey])
                delete this.timeline[mkey];
        },
        addProsBar:function(gid,curSize,total){   //更新进度条及文字
            var that=this,doms=that.glist[gid].doms;
            doms.movebar.width((curSize*100/total).toFixed(1)+"%");
            doms.downlen.text(that.sizeFormat(curSize));
        },
        changeFace:function(gid,m){   //在壳之外安装程序的状态通知 异常待解决
            try{
                var that=this,
                    doms=that.glist[gid].doms;
                rbtn=doms.rightBtn, //1.1版客户端
                    m= parseInt(m);
                if(isNaN(m) || m<0 || m>=that.txtList.length)
                    return;
                rbtn.html(that.txtList[m]);
                rbtn.attr("class",that.clsList[m]);
                //事件处理函数数组 对应[ 0"下载", 1"可打开", 2"升级", 3"暂停", 4"继续", 5"安装(完成)", 6"升级(完成)" ，7“"安装中"，8"升级中""，9"卸载中"，10"不可打开"]
                var funArray=[that.downFunc,that.openApp,that.upgrade,that.stopTask,that.resumeTask,that.installPkg,that.installPkg,null,null,null,null];
                rbtn.unbind("click");
                rbtn.click(function(e){  //绑定事件
                    funArray[m].call(that,gid);
                });
                if([0,2].indexOf(m) >= 0)     //初始化进度条状态
                    that.addProsBar(gid,0,1);
                if([3,4].indexOf(m) >= 0){   //除继续外 和 暂停 外 其他都隐藏
                    doms.infobar.hide();//turn on it 进度条显示
                    doms.prosbar.show();
                }else{
                    doms.prosbar.hide();
                    doms.infobar.show();
                }
            } catch(e){
                printError("client btn error: "+ e.toString());
            }
        },
        takeBtnEvent:function(gid){
            var that=this,
                dobj = that.glist[gid],
                pkginfo = dobj.gpkg,
                mkey=pkginfo.packageName+"_"+pkginfo.versionName;
            dobj.pkey=mkey;  //pkey作为后期查找唯一键值
            dobj.gpkg["gameName"]=dobj.game.name;
            dobj.gpkg["logoImagePath"]=dobj.game.logourl.replace("_","");
            dobj.gpkg["gameType"]=dobj.game.issimple? 0:1;
            dobj.gpkg["categoryId"]=dobj.game.categoryId;
            dobj.gpkg["category"]=dobj.game.category;
            dobj.gpkg["downUrl"]="http://a.9game.cn/down/"+dobj.gpkg.id+".html";
            NineGameClient.getPackageState(pkginfo.packageName,pkginfo.versionName,
                function(result){
                    var re= 0,cursize=0;
                    try{
                        re=result.state;
                        cursize=result.cursize;
                    }catch(e){
                        return;
                    }
                    that.changeFace(gid,re);
                    if(3 == re)  //正在下载，显示为“暂停”
                        that.addTimeLine(gid);
                    if(4 == re && undefined != cursize)  //初始为继续带 当前下载量的返回值
                        that.addProsBar(gid,cursize,pkginfo.fileSize);
                });
           // that.changeFace(gid,1);
            that.pkeyMap[mkey]=gid;
        },
        init:function(){
            var that=this;
            //回调通知
            NineGameClient.registerDownloadStateChangeListener(function (pkgName,versionName, state) {
                var mkey=pkgName+"_"+versionName,
                    gid=that.pkeyMap[mkey];
                //this.print("regis callback["+mkey+"] :"+state);
                if(!gid)
                    return;
                that.changeFace(gid,state); //改变UI
                if([0,1,4,10].indexOf(state) >= 0){  //0为暂停或正在下载中删除或完成下载后删除,1为下载任务完成,4返回为“继续”,表示已停止下载
                    that.delTimeLine(mkey);
                } else if(state == 3){      //用户在非WEB界面启动游戏下载,加入时间线
                    that.addTimeLine(gid);
                    //this.print("state 3 | addLine call back");
                }
            });
        }
    };
    if (typeof exports !== 'undefined') exports.ButtonUI = ButtonUI;
    else window.ButtonUI = ButtonUI;
})(typeof(NineGameClient),$);
